Skip to main content

Disbursement (pay-out)

smilepayz teamsAbout 3 min

Chile region pay-out API (CLP). See Payment methods.

Request

POST/v2.0/disbursement/pay-out

Request Path:

sandbox: https://sandbox-gateway.smilepayz.com/v2.0/disbursement/pay-out
production: https://gateway.smilepayz.com/v2.0/disbursement/pay-out

Header Parameters

FieldRequiredTypeDescription
Content-TypeMStringapplication/json request body.
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm (e.g. CLT −03:00).
X-SIGNATUREMStringSignature of JSON body (see product Signature doc).
X-PARTNER-IDMStringYour merchantID (alphanumeric).

Body Parameters

FieldRequiredTypeDescription
orderNoMString(32)Merchant-unique id, 6–32 alphanumeric.
purposeMString(64)Memo to payer, 1–64 UTF-8 chars.
merchantMObjectWraps merchantId and optional sub-merchant fields.
    merchantIdMStringSmilepayz merchantId for this call.
    merchantNameOStringUTF-8 merchant display name.
    subMerchantIdOStringSub-merchant ID.
    subMerchantNameOStringUTF-8 name for subMerchantId.
moneyMObjectCurrency plus amount for this transaction.
    currencyMStringFixed to CLP.
    amountMNumberCLP integer minor units (e.g. 5000 = CLP 5000).
paymentMethodMString(6)Code (see Payment methods doc).
cashAccountMString(32)Beneficiary bank account number.
cashAccountTypeMString(32)CHECKING (current/checking) or SAVINGS (savings)
receiverMObjectBeneficiary object (see Receiver model).
    nameMStringBeneficiary full name (UTF-8).
    emailMStringBeneficiary email.
    phoneMStringBeneficiary phone in local format.
    idTypeMStringNID, FID, PP, TIN (National ID, Foreigner ID, Passport, Tax Identification Number).
    idNumberMStringID number matching idType.
callbackUrlOString(256)HTTPS async status URL, max 256 chars.

Example Body – Disbursement Request:

Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00-03:00
X-SIGNATURE: 7MHd9v5/m9JeqmDZVwWBZUZ5J5...7120QnFEny7Qm7uQR1G0TWCh10fsU6nVxiRoeoQ==
X-PARTNER-ID: 20001

Responses

HTTP Request

FieldRequiredTypeDescription
Content-TypeMStringapplication/json request body.
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm

Body Parameters

FieldRequiredTypeDescription
codeMString00 success, other values error.
messageMStringUTF-8 human-readable result line.
orderNoMStringMerchant-unique id, 6–32 alphanumeric.
tradeNoOStringSmilepayz tradeNo for this order.
merchantMObjectWraps merchantId and optional sub-merchant fields.
    merchantIdMStringSmilepayz merchantId for this call.
    merchantNameOStringUTF-8 merchant display name.
    subMerchantIdOStringSub-merchant ID.
    subMerchantNameOStringUTF-8 name for subMerchantId.
    accountNoOStringSettlement accountNo if gateway returns it.
moneyMObjectCurrency plus amount for this transaction.
    currencyMStringFixed to CLP.
    amountMNumberCLP integer minor units (e.g. 5000 = CLP 5000).
disbursementTimeMStringFormat (yyyy-MM-ddTHH:mm:ss±HH:mm).
channelMObjectChannel payload (paymentUrl, qrString, …).
    paymentMethodMStringCode (see Payment methods doc).
    cashAccountMStringBeneficiary bank account number.
    accountNameOStringBeneficiary display name when returned.
statusOStringOrder or payment status enum value.

Example Body – Disbursement Response:

Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00-03:00

Notification/Callback

HTTP Request

FieldRequiredTypeDescription
Content-TypeMStringapplication/json request body.
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm
X-SIGNATUREMStringCallback body signature (see Callback signature guide).

Body Parameters

FieldRequiredTypeDescription
orderNoMStringMerchant-unique id, 6–32 alphanumeric.
tradeNoMStringSmilepayz tradeNo for this order.
merchantIdMStringSmilepayz merchantId for this call.
merchantNameMStringUTF-8 merchant display name.
subMerchantIdOStringSub-merchant ID.
subMerchantNameOStringUTF-8 name for subMerchantId.
paymentMethodMStringCode (see Payment methods doc).
transactionTimeMStringFormat: yyyy-MM-ddTHH:mm:ss
moneyMObjectCurrency plus amount for this transaction.
    currencyMStringFixed to CLP.
    amountMNumberCLP integer minor units (e.g. 5000 = CLP 5000).
statusMStringOrder or payment status enum value.

Return

Important

Respond with the string SUCCESS only.

{
    "orderNo": "2000102900000000000001",
    "tradeNo": "1722000109e998347483949",
    "merchantId": "20001",
    "merchantName": "Smilepayz Demo Store",
    "subMerchantId": "",
    "subMerchantName": "",
    "paymentMethod": "BANCO_ESTADO",
    "transactionTime": "2024-12-17T10:55:00-03:00",
    "money": {
        "currency": "CLP",
        "amount": 30000
    },
    "status": "SUCCESS"
}
Last update: